Register a user based on a Stytch session token (B2B)
curl --request POST \
--url https://api-dev.narrative.io/authentication/b2b/register \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"stytch_session_token": "1rjpyoFiYLucsV-nuoi7dZ_VOkMUkcZLw6rICEYBzAy0",
"name": "First Last",
"company_name": "ACME Corp"
}
'import requests
url = "https://api-dev.narrative.io/authentication/b2b/register"
payload = {
"stytch_session_token": "1rjpyoFiYLucsV-nuoi7dZ_VOkMUkcZLw6rICEYBzAy0",
"name": "First Last",
"company_name": "ACME Corp"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
stytch_session_token: '1rjpyoFiYLucsV-nuoi7dZ_VOkMUkcZLw6rICEYBzAy0',
name: 'First Last',
company_name: 'ACME Corp'
})
};
fetch('https://api-dev.narrative.io/authentication/b2b/register', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user_id": 100
}{
"error": "Unauthorized",
"error_description": "You are not authorized to use this endpoint."
}{
"error": "Unauthorized",
"error_description": "You are not authorized to use this endpoint."
}Authentication
Register a user based on a Stytch session token (B2B)
Register the user based on the Stytch session token and name/company name, and return the the created user id. The Stych session token can be obtained from a Magic Links or OAuth token thanks to the registration status API.
POST
/
authentication
/
b2b
/
register
Register a user based on a Stytch session token (B2B)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
OK
Was this page helpful?
Authenticate a user based on a Stytch session token (B2B version)Report whether the user associatd to a Stytch OAuth or Magic Links token has been fully registered on Narrative side (B2B)
⌘I

